### File

`packages/components/eui-message-box/models/eui-message-box.config.ts`

### Implements

`EuiDialogInterface`

### Index

###### Properties
acceptLabel dismissLabel e2eAttr hasAcceptButton hasCloseButton hasClosedOnClickOutside hasClosedOnEscape hasDismissButton hasFooter header headerComponent height isHandleCloseOnAccept isHandleCloseOnClickOutside isHandleCloseOnClose isHandleCloseOnDismiss isHandleCloseOnEscape isMessageBox variant width

### Constructor

`constructor(values: EuiDialogInterface<HC | HCC | BC | BCC | FC | FCC>)`
Parameters :
Name | Type | Optional
values | `EuiDialogInterface<HC | HCC | BC | BCC | FC | FCC>` | No

### Properties

acceptLabel
Type : `string`
Default value : `'eui.OK'`

dismissLabel
Type : `string`
Default value : `'eui.CANCEL'`

e2eAttr
Type : `string`
Default value : `'eui-message-box'`

hasAcceptButton
Default value : `true`

hasCloseButton
Default value : `false`

hasClosedOnClickOutside
Default value : `false`

hasClosedOnEscape
Default value : `false`

hasDismissButton
Default value : `true`

hasFooter
Default value : `true`

header
Type : `null`
Default value : `null`

headerComponent
Type : `null`
Default value : `null`

height
Type : `string`
Default value : `'auto'`

isHandleCloseOnAccept
Default value : `false`

isHandleCloseOnClickOutside
Default value : `false`

isHandleCloseOnClose
Default value : `false`

isHandleCloseOnDismiss
Default value : `false`

isHandleCloseOnEscape
Default value : `false`

isMessageBox
Default value : `true`

variant
Type : `"primary" | "secondary" | "info" | "success" | "warning" | "danger" | "accent" | string`
Default value : `'primary'`

width
Type : `string`
Default value : `'33rem'`

# results matching ""

# No results matching ""